Subject: Re: Unable to fdopen() a pipe handle
From: [email-masked] (Christopher G. Faylor)

14 Jul 1998 15:29:01 GMT
Message-ID: <[email-masked]>
References: <5010400024885002000002L022*.cygnus.gnu-win32@MHS>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <5010400024885002000002L022*.cygnus.gnu-win32@MHS>,
Craig Setera <[email-masked]> wrote:
>I've got a chunk of code that create an anonymous pipe using pipe() and then
>attempts to create a write stream on the pipe using fdopen() (something like
>this... from memory... not necessarily correct):
>
>int mypipe[2];
>FILE *mystream;
>
>pipe(mypipe);
>mystream = fdopen(mypipe[1], "w");
>
>I can't seem to get fdopen() to return anything other than NULL.  Any thoughts?

I just tried this and it works fine for me.  I'd be surprised if it didn't
since this is a very common thing to do.  Try upgrading to a "coolview"
version of cygwin.dll:  http://www.lexa.ru/sos .
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada